Class | Chef::Sandbox
In: | lib/chef/sandbox.rb
Parent: | Object

### Methods

cdb_destroy cdb_list cdb_load cdb_save create_design_document include? json_create member? new to_json

### Constants

DESIGN_DOCUMENT | = | { "version" => 1, "language" => "javascript", "views" => { "all" => { "map" => <<-EOJS function(doc) { if (doc.chef_type == "sandbox") { emit(doc.guid, doc); } } EOJS

### External Aliases

is_completed | -> | is_completed?
guid | -> | name

### Attributes

checksums | [RW] | list of checksum ids
couchdb | [RW] |
couchdb_id | [RW] |
couchdb_rev | [RW] |
create_time | [RW] |
guid | [R] |
is_completed | [RW] |

### Public Class methods

cdb_list(inflate=false, couchdb=nil)
cdb_load(guid, couchdb=nil)
create_design_document(couchdb=nil)

Couchdb

json_create(o)
new(guid=nil, couchdb=nil)

Creates a new Chef::Sandbox object.

### Returns

object<Chef::Sandbox>: | Duh. :)

### Public Instance methods

cdb_destroy()
cdb_save(couchdb=nil)
include?(checksum)
member?(checksum)

Alias for include?

to_json(*a)

[Validate]